# Hostname History

Get the historical observations for a specific hostname in the "Hostnames" data source.

Endpoint: GET /api/v1/hostname/{hostname}
Version: 1.0.0
Security: apikeyAuth

## Path parameters:

  - `hostname` (string, required)
    The hostname to query
    Example: "urlscan.io"

## Query parameters:

  - `limit` (integer)
    Return at most this many results. Minimum 10 Maximum 10000 Default 1000

  - `pageState` (string)
    Returns additional results starting from this page state from the previous API call.

## Response 200 fields (application/json):

  - `pageState` (string)
    If the pageState field is set then there are
additional results available. Repeat the API call with the
pageState value to get the next batch of results.
    Example: "xxx"

  - `results` (array)
    Example: [{"seen_on":"2200-01-01","source":"seenDates","sub_id":"","first_seen":"2023-07-28T11:20:15.617Z","last_seen":"2023-08-04T16:09:09.591Z","data_type":null,"data":null},{"seen_on":"2200-01-01","source":"shardDate","sub_id":"","first_seen":"2023-07-28T11:20:15.685Z","last_seen":null,"data_type":null,"data":null},{"seen_on":"2100-01-01","source":"ct","sub_id":"","first_seen":"2023-07-28T11:20:15.617Z","last_seen":"2023-07-28T11:21:23.599Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"pdns","sub_id":"","first_seen":"2023-07-28T11:21:20.079Z","last_seen":"2023-08-04T16:09:09.574Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"pdns","sub_id":"A","first_seen":"2023-07-28T11:21:20.079Z","last_seen":"2023-08-04T16:09:09.574Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"pdns","sub_id":"MX","first_seen":"2023-07-28T11:21:20.174Z","last_seen":"2023-07-31T11:23:22.848Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"pdns","sub_id":"NS","first_seen":"2023-07-28T11:21:20.128Z","last_seen":"2023-08-04T11:05:40.130Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"pdns","sub_id":"SOA","first_seen":"2023-07-28T11:21:20.176Z","last_seen":"2023-07-31T11:23:22.849Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"scan","sub_id":"","first_seen":"2023-07-28T11:23:52.876Z","last_seen":"2023-08-04T16:09:09.591Z","data_type":null,"data":null},{"seen_on":"2100-01-01","source":"zonefile","sub_id":"","first_seen":"2023-07-30T03:00:02.440Z","last_seen":"2023-07-30T03:00:02.444Z","data_type":null,"data":null},{"seen_on":"2023-08-04","source":"pdns","sub_id":"A#91.215.85.14","first_seen":"2023-08-04T10:09:45.599Z","last_seen":"2023-08-04T16:09:09.574Z","data_type":"json","data":{"ttl":14400,"rdata":"91.215.85.14","geoip":{"country":"RU"},"asn":{"ip":"91.215.85.14","asn":"200593","country":"RU","registrar":"ripencc","date":"2022-12-12","description":"PROSPERO-AS, RU","route":"91.215.85.0/24"}}}]

  - `results.seen_on` (string)
    Date in YYYY-MM-DD format

  - `results.source` (string)
    The source of the observation
    Enum: "ct", "scan", "pdns", "zonefile", "scan-link", "scan-cert-subject"

  - `results.sub_id` (string)
    Observation value, can be empty.

  - `results.first_seen` (string)
    First-seen timestamp, ISO8601

  - `results.last_seen` (string)
    Last-seen timestamp, ISO8601

  - `results.data_type` (string)
    Indicates if there is additional data in the data field.
    Enum: "json"

  - `results.data` (object)
    Additional JSON content for this record.


